export function bindInput(event) {
  var obj = {},
    key = event.target.dataset['key'];
  obj[key] = event.detail.value;
  console.log(obj)
  this.setData(obj);
}
export function autoSubcrebe() {
  return new Promise(resolve => {
    wx.getSetting({
      withSubscriptions: true,
      success: (setting) => {
        let hasAuto = false
        if (setting && setting.subscriptionsSetting && setting.subscriptionsSetting.itemSettings && setting.subscriptionsSetting.itemSettings[subId]) {
          subcribe()
          hasAuto = true
        }
        resolve(hasAuto)
      }
    })
  })
  
}
export function isDef(value) {
  return value !== undefined && value !== null;
}
export function isObj(x) {
  const type = typeof x;
  return x !== null && (type === 'object' || type === 'function');
}
export function isNumber(value) {
  return /^\d+(\.\d+)?$/.test(value);
}
export function range(num, min, max) {
  return Math.min(Math.max(num, min), max);
}
export function nextTick(fn) {
  setTimeout(() => {
      fn();
  }, 1000 / 30);
}
let systemInfo = null;
export function getSystemInfoSync() {
  if (systemInfo == null) {
      systemInfo = wx.getSystemInfoSync();
  }
  return systemInfo;
}
export function addUnit(value) {
  if (!isDef(value)) {
      return undefined;
  }
  value = String(value);
  return isNumber(value) ? `${value}px` : value;
}
